//
//  A T2 test game: 
//  		top aligned banner 
// 		status line mode
//			sized to contents
//			mixed font zize
//			varying number of lines in banner
//

#include <adv.t>
#include <std.t>

startroom: room
   sdesc = "XTads T2 banner test"
   ldesc = "Should show a top aligned status line with varying number of lines and mixed font sizes"
   turnCount = 0
	statusLine =
		{
		local numLines = 1 + (turnCount % 5);
		local li;
		turnCount += 1;
		"<banner id=custStatusLine align='top' border>";
		for (li := 0; li < numLines; li++) 
			{
			local size1 := 1 + rand(7);
			local size2 := 1 + rand(7);
			local size3 := 1 + rand(7);
			"<font size=<<size1>>>abc</font><font size=<<size2>>>def</font>ghi<font size=<<size3>>>jkl</font><br>";
			}
		"</banner>";
		}
	/*
	statusLine =
		{
		"<banner id=custStatusLine align='top' border>";
		"abc<font size=+3>def</font>ghi<font size=-3>jkl</font>";
		"</banner>";
		}*/
;

replace commonInit: function
{
    // turn on html mode
    "\H+";
}
